Bug 596569 - SELinux is preventing /usr/libexec/gdm-simple-greeter "read" access on /var/lib/AccountsService/icons/hadess.
Summary: SELinux is preventing /usr/libexec/gdm-simple-greeter "read" access on /...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 13
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:748646920df...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 01:07 UTC by Bastien Nocera
Modified: 2010-06-08 19:27 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.7.19-23.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-08 19:27:58 UTC


Attachments (Terms of Use)

Description Bastien Nocera 2010-05-27 01:07:27 UTC
Summary:

SELinux is preventing /usr/libexec/gdm-simple-greeter "read" access on
/var/lib/AccountsService/icons/hadess.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by gdm-simple-gree. It is not expected that this
access is required by gdm-simple-gree and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:accountsd_var_lib_t:s0
Target Objects                /var/lib/AccountsService/icons/hadess [ file ]
Source                        gdm-simple-gree
Source Path                   /usr/libexec/gdm-simple-greeter
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gdm-2.30.2-1.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-13.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.3-85.fc13.x86_64 #1 SMP Thu May 6 18:09:49
                              UTC 2010 x86_64 x86_64
Alert Count                   10
First Seen                    Wed 12 May 2010 01:02:12 BST
Last Seen                     Sun 23 May 2010 15:23:29 BST
Local ID                      e25ac6ef-ce2f-4edb-a5e7-5673987e8f9a
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274624609.5:6): avc:  denied  { read } for  pid=1627 comm="gdm-simple-gree" name="hadess" dev=sda4 ino=137462 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:accountsd_var_lib_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1274624609.5:6): avc:  denied  { open } for  pid=1627 comm="gdm-simple-gree" name="hadess" dev=sda4 ino=137462 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:accountsd_var_lib_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1274624609.5:6): arch=c000003e syscall=2 success=yes exit=25 a0=153b340 a1=0 a2=1b6 a3=0 items=0 ppid=1591 pid=1627 auid=4294967295 uid=42 gid=481 euid=42 suid=42 fsuid=42 egid=481 sgid=481 fsgid=481 tty=(none) ses=4294967295 comm="gdm-simple-gree" exe="/usr/libexec/gdm-simple-greeter" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,gdm-simple-gree,xdm_t,accountsd_var_lib_t,file,read
audit2allow suggests:

#============= xdm_t ==============
allow xdm_t accountsd_var_lib_t:file { read open };

Comment 1 Daniel Walsh 2010-05-27 14:20:57 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.7.19-22.fc13.noarch

Comment 2 Bastien Nocera 2010-05-27 14:47:01 UTC
Just a note, the "hadess" name is just one of the possible names (that's my login name).

This happens when you set an icon for your user using the accounts dialogue (the AccountsService service will write the icon to /var/lib/AccountsService/icons/<username>).

GDM will then try to read that same filename.

Comment 3 Daniel Walsh 2010-05-27 16:16:30 UTC
I am allowing the x login programs to read everything under /var/lib/AccountsService

Comment 4 Fedora Update System 2010-05-28 12:27:45 UTC
selinux-policy-3.7.19-22.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-22.fc13

Comment 5 Fedora Update System 2010-05-31 18:19:44 UTC
selinux-policy-3.7.19-22.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-22.fc13

Comment 6 Fedora Update System 2010-06-02 18:11:42 UTC
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-23.fc13

Comment 7 Fedora Update System 2010-06-08 19:26:16 UTC
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.